package org.openxma.dsl.generator.output;

import org.eclipse.core.resources.IFolder;
import org.eclipse.core.runtime.Path;
import org.eclipse.xpand2.output.FileHandle;
import org.eclipse.xpand2.output.Outlet;
import org.eclipse.xpand2.output.VetoException;

public class EclipseResourceOutlet extends Outlet {
    private IFolder folder;

    public EclipseResourceOutlet(IFolder folder) {
        this.folder = folder;
    }

    public EclipseResourceOutlet(String name, IFolder folder, boolean overwrite) {
        setName(name);
        setOverwrite(overwrite);
        this.folder = folder;
    }

    public EclipseResourceOutlet(String name, IFolder folder) {
        this(name, folder, true);
    }

    @Override
    public FileHandle createFileHandle(String qualifiedName) throws VetoException {
        return new EclipseResourceFileHandle(this, folder.getFile(new Path(qualifiedName)));
    }

}
